View source Improve this doc

# `currency`
filter in module `ng`

## Description

Formats a number as a currency (ie $1,234.56). When no currency symbol is provided, default symbol for current locale is used.

## Usage

### In HTML Template Binding

`{{ currency_expression | currency[:symbol] }}`

### In JavaScript

`$filter('currency')(amount[, symbol])`

#### Parameters

Param | Type | Details
--- | --- | ---
amount | number | Input to filter.
symbol (optional) | string | Currency symbol or identifier to be displayed.

#### Returns

string | Formatted number.

## Example

#### Source

## Demo